Grand Master Aldenia:
The medallion of the Warrior is a token given only to those who have passed the test to become a Warrior. To take the Test of the Warrior, look for Master Aymus of the village of Gludin, who has long led the Warriors of his fighter guild. You know the village of Gludin, right? Follow the road west and you'll come to the village. It's a splendid place with a large port. The village is very far from here, so it may be better to use a Gatekeeper. Master Aymus' guild can be found in the northern part of the village.
Return